---

apiVersion: v1
kind: Service
metadata:
  name: "{{.Release.Name}}-zabbix-web"
spec:
  selector:
    app: "{{.Release.Name}}-zabbix-web"
  ports:
    - port: 80
  type: ClusterIP

---

apiVersion: "apps/v1"
kind: Deployment
metadata:
  name: "{{.Release.Name}}-zabbix-web"
  labels:
    app: "{{.Release.Name}}-zabbix-web"

spec:
  replicas: 1
  selector:
    matchLabels:
      app: "{{.Release.Name}}-zabbix-web"
  template:
    metadata:
      labels:
        app: "{{.Release.Name}}-zabbix-web"
    spec:
      containers:
        - name: "{{.Release.Name}}-zabbix-web"
          image: "zabbix/zabbix-web-nginx-pgsql:{{.Values.zabbix.version}}"
          ports:
            - containerPort: 80
              name: "zabbix-web"
          env:
            - name: ZBX_SERVER_HOST
              value: "{{.Release.Name}}-zabbix-srv"
            - name: ZBX_SERVER_NAME
              value: "{{.Release.Name}}"
            - name: DB_SERVER_HOST
              value: "{{.Release.Name}}-postgres-srv"
            - name: POSTGRES_DB
              value: "{{.Values.postgres.dbname }}"
            - name: POSTGRES_USER
              valueFrom:
                secretKeyRef:
                  name: "{{.Release.Name}}-secret"
                  key: username
            - name: POSTGRES_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: "{{.Release.Name}}-secret"
                  key: password
 
